using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace Marco.Pms.Model.Dtos.Project
{
    public class ProjectDto
    {
        public Guid Id { get; set; }
        [Required(ErrorMessage = "Project Name is required!")]
        [DisplayName("Project Name")]
        public string? Name { get; set; }
        [DisplayName("Short Name")]
        public string? ShortName { get; set; }

        [DisplayName("Project Address")]
        [Required(ErrorMessage = "Project Address is required!")]
        public string? ProjectAddress { get; set; }


        [DisplayName("Contact Person")]
        public string? ContactPerson { get; set; }


        public DateTime? StartDate { get; set; }
        public DateTime? EndDate { get; set; }

        [DisplayName("Project Status")]
        [Required(ErrorMessage = "Project Status is required!")]
        public Guid ProjectStatusId { get; set; }


    }
}
